/*
Theme Name: waizman-new
Theme URI: http://schools.ort.org.il/demo/
Description: Revisions made to NonOrtSchoolTheme for Waizman
Version: 1
Author: ORT Israel
Author URI: http://wp.ort.org.il/geha-education/
Template: schoolTheme
License: GNU General Public License v2.0
License URI: http://www.gnu.org/licenses/gpl-2.0.html
*/
/*@import url("../schoolTheme/style.css");*/

/*------------------------------------------------*/
/*------  a11y addons styles - added 06.2016   ---*/
/*------------------------------------------------*/
body #skiplinks.wpa-hide-rtl a:hover,
body #skiplinks.wpa-hide-rtl a:visited,
body #skiplinks.wpa-hide-rtl a:focus {
  right: 0;
}
body #acp-toggle-toolbar:focus,
body #acp-toggle-toolbar:hover {
  border-color: #353535;
}
/* --->>> Accessible Poetry Design <<<--*/
/*after upgrading the plugin the button by default was on the right - on the site logo :( so we moved it to the left)*/
body.rtl #acp-toggle-toolbar,
body.rtl #acp-toolbar {
  right: auto;
  left: 30px;
}
/*acp menu icons weren't showing in IE. this is the fix:
taken from: https://github.com/google/material-design-icons/issues/179 */
.material-icons {
  font-feature-settings: 'liga';
}

/*ac11y button*/
#acp_toolbarWrap.left.close-toolbar {
  left: -180px;
}
#acp_toolbarWrap {
  width: 180px;
}
#access .menu-header,
div.menu,
#colophon,
#branding,
#main,
#wrapper {
  max-width: 1360px;
  width: 100%;
}
body.tag #container,
body.page #container,
body.search #container,
body.author #container {
  max-width: 136rem;
  width: 100%;
}
/*------------------------------------------------*/
/*------------------  HEADER   -------------------*/
/*------------------------------------------------*/
#header {
  background-image: none;
}
body.grey #header .masthead-inner {
  background: url('img/LogosBackground.png');
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
}
.site_logo:not(.two_logos) {
  display: inline-block;
  margin-bottom: 1rem;
  width: 100%;
  max-width: 11rem;
}

.site_logo.long {
  max-width: 20rem;
}

.site_logo img {
  width: 100%;
}

.school_name a {
  text-decoration: none;
  display: flex;
  flex-direction: column;
}
.site-title,
.site-description {
  color: #022f59;
  font-weight: bold;
}
.site-title {
  font-size: 32px;
  text-decoration: none;
  line-height: 0.7;
}
.site-description {
  margin: 4px 0 0 0;
  font-size: 2.4rem;
  line-height: 0.9;
  text-decoration: none;
}
.header_search1 {
  width: 25%;
  float: left;
  box-sizing: border-box;
}
#header #masthead #megaMenu {
  width: 75%;
}
#search.header_search1 {
  background-color: #365f91;
  /* border-top-left-radius: 5px;
  border-bottom-left-radius: 5px; */
  padding: 7px;
  padding-top: 0;
  box-shadow: 0 3px 6px 0 rgba(0, 0, 0, 0.16);
}
#search.header_search1 form {
  display: flex;
  flex-flow: row nowrap;
}
#search.header_search1 form input {
  margin-bottom: 0;
  border: none;
  /* border-radius: 5px; */
  font-size: 22px;
  vertical-align: middle;
  padding-top: 5px;
}
#searchform {
  /* border-radius: 3px; */
  height: 38px;
}
#megaMenu.megaMenuHorizontal ul.megaMenu {
  padding-left: 30px !important;
}

/*-------- header design - with 2 logos ----------*/
/*------------------------------------------------*/
.header_two_logos .branding {
  display: -webkit-flex;
  display: flex;
  -webkit-flex-wrap: wrap;
  flex-wrap: wrap;
  -webkit-align-items: flex-start;
  align-items: flex-start;
  justify-content: space-between;
  align-items: center;
  min-height: 1px;
}

.header_two_logos .branding .two_logos {
  width: auto;
}
.additional_logo {
  margin-right: 1.5rem;
}
body.grey .additional_logo {
  margin: 0 1.5rem;
}
.header_two_logos .branding .two_logos.site_logo {
  /*max-width: 4.1rem;
	max-height: 4rem;*/
  display: block; /*fix for ie-10 so the logo's want be 100%. doesn't effect new browser because parent is display: flex*/
  max-width: 4.5rem;
  max-height: 4.5rem;
  overflow: hidden;
}
.header_two_logos .branding .two_logos.site_logo.long {
  /*max-width: 10rem;
	max-height: 4rem;*/
  max-width: 8.5rem;
  max-height: 4.5rem;
  overflow: hidden;
}
.header_two_logos .branding .top-title {
  margin: 2rem auto 0;
  flex-grow: 1; /*in order to keep it on a seperatef line*/
  min-width: 100%;
}
body.grey .header_two_logos .top-title {
  text-align: center;
}
/*grey style*/
body.grey .site_logo {
  width: 20%;
  max-width: 10rem;
  margin-bottom: 0;
}

body.grey .site_logo img {
  width: 100%;
  /*image-rendering: -moz-crisp-edges*/
  -ms-interpolation-mode: bicubic;
  min-height: 1px; /*added for ie bug*/
}
/*for long ans narrow logo's */
body.grey .site_logo:not(.two_logos).long {
  width: 50%;
  max-width: 20rem;
}
body.grey .site_logo.long img {
  /*width: auto;*/
}
body:not(.home) .header_two_logos .two_logos img {
  /*not in homepage the image isn't wrapped with H1 and that causes the image to alignt to the top'*/
  vertical-align: bottom;
}
.grey .site-title,
.grey .site-description {
  color: #353535;
  font-family: 'Alef-bold';
  font-weight: normal;
}
.grey .site-title {
  font-size: 4.5rem;
  color: #ed6502;
}

.grey .site-description {
  font-size: 2.4rem;
  margin: 0;
}

/* pink style */
.pink .site-title,
.pink .site-description {
  color: #ffffff;
}

/* colored style */
.colored .site-title {
  color: #e4e4e4;
}
.colored .site-description {
  color: #fff;
}
/*------------------------------------------------*/
/*---------  Home page structure   --------------*/
/*------------------------------------------------*/
.sidebarWarperRight,
.content-wrapper {
  margin-top: 1rem;
}
#colophon {
  padding-top: 1.5rem;
}
.home .breadcrumbs {
  display: none;
}
.blue .breadcrumbs {
  background-color: #f4faff;
  padding: 10px;
  margin-bottom: 0;
  /*border-bottom: 1px dashed #022F58;*/
}
/*adding breadcrumb*/
.grey .breadcrumbs {
  padding: 1rem 0.7rem 0.7rem 0.7rem;
  margin: 0;
}
.breadcrumbs,
.breadcrumbs a {
  font-size: 1.6rem;
}
.grey .breadcrumbs,
.grey .breadcrumbs a {
  color: #464646;
}

/*removing icons from blue color*/
#mainPage .widget-title::before {
  content: none;
}
#mainPage .widget-title span {
  padding-right: 10px;
}

/*footer*/
.waizman_credit {
  padding: 0;
  display: inline-block;
  width: auto;
  float: none;
}
.waizman_credit a {
  color: inherit;
}

/*---------------------------------------------------------*/
/*----------------   POST / PAGE Design  ------------------*/
/*---------------------------------------------------------*/
/*links in posts - returning to default preview - blueish with underline - Rachel 01.2017*/
.blue .entry-content a,
.blue .entry-summary a,
.grey .entry-content a,
.grey .entry-summary a,
.grey .entry-content a:hover,
.grey .entry-summary a:hover {
  color: #0062ab;
  text-decoration: underline;
  border-bottom: 0;
}

/*post design - ul/ol*/
.post ul:not(.slides):not(.flex-control-nav):not(.flex-direction-nav):not(.alphabet_ordered_list),
.page .main ul,
.textwidget ul {
  list-style: disc outside;
}
.post ol,
.page .main ol,
.textwidget ol {
  list-style: decimal inside;
}

.post ul:not(.slides):not(.flex-control-nav):not(.flex-direction-nav),
.post ol,
.page .main ul,
.page .main ol,
.textwidget ul,
.textwidget ol {
  list-style-position: outside;
  margin: 0 2rem 0 0;
}
.post ul:not(.slides):not(.flex-control-nav):not(.flex-direction-nav) ul,
.post ol ol,
.page .main ul ul,
.page .main ol ol,
.textwidget ul ul,
.textwidget ol ol {
  margin: 0 1.5em 0 0;
}

.post ul:not(.slides):not(.flex-control-nav):not(.flex-direction-nav):not(.alphabet_ordered_list) ul,
.page .main ul ul,
.textwidget ul ul {
  list-style: circle;
}
.post ul.alphabet_ordered_list,
.page .main ul.alphabet_ordered_list,
.textwidget ul.alphabet_ordered_list {
  list-style-type: hebrew;
}
.main {
  margin: 0.4rem 0 !important;
}
/*---------------------------------------------------------*/
/*--------------- A11y contrast definitions ---------------*/
/*---------------------------------------------------------*/
body.acp-dark,
body.acp-bright {
  background-image: none;
}
/* Dark contrast:
	blue and grey - the logo is white, so no need for background color.
	pink and colored: the logo is grey, so white background needed
	Bright contrast:
	blue and grey - the logo is white, so need dark background.
	pink and colored: the logo is grey, so no need for background color
*/
.acp-dark.blue .site_logo *,
.acp-dark.grey:not(.pink):not(.colored) .site_logo * {
  background-color: #fff !important;
}
.acp-bright.pink .site_logo *,
.acp-bright.colored .site_logo * {
  background-color: #000 !important;
}

.acp-dark #mainPage .widget-title,
.acp-bright #mainPage .widget-title {
  box-shadow: none;
  border: 1px solid;
}

body.acp-dark #searchform,
body.acp-bright #searchform {
  background: none;
}
body.grey.acp-dark #searchform,
body.grey.acp-bright #searchform {
  border: 1px solid;
}
body.acp-dark #searchsubmit,
body.acp-bright #searchsubmit {
  border: none;
  background-color: #fff !important;
}
body:not(.grey).acp-dark #searchform #s,
body:not(.grey).acp-bright #searchform #s {
  border: 1px solid;
}

body.grey.acp-dark .cat-item img,
body.grey.acp-dark .post-item img {
  border: 1px solid #fff;
}
body.grey.acp-bright .cat-item img,
body.grey.acp-bright .post-item img {
  background-color: #000 !important;
}
body.acp-dark #megaMenu.megaMenuHorizontal ul.megaMenu > li.ss-nav-menu-mega > ul.sub-menu-1,
body.acp-dark #megaMenu.megaMenuHorizontal ul.megaMenu > li.ss-nav-menu-mega > ul.sub-menu-2,
body.acp-bright #megaMenu.megaMenuHorizontal ul.megaMenu li.ss-nav-menu-reg ul.sub-menu,
body.acp-bright #megaMenu.megaMenuHorizontal ul.megaMenu > li.ss-nav-menu-mega > ul.sub-menu-1,
body.acp-bright #megaMenu.megaMenuHorizontal ul.megaMenu > li.ss-nav-menu-mega > ul.sub-menu-2,
body.acp-bright #megaMenu.megaMenuHorizontal ul.megaMenu li.ss-nav-menu-reg ul.sub-menu {
  background: none;
}
body.acp-dark #megaMenu.megaMenuHorizontal ul.megaMenu > li,
body.acp-dark #megaMenu.megaMenuHorizontal ul.megaMenu > li.ss-nav-menu-mega > ul.sub-menu-1,
body.acp-dark #megaMenu.megaMenuHorizontal ul.megaMenu > li.ss-nav-menu-mega > ul.sub-menu-2,
body.acp-dark #megaMenu.megaMenuHorizontal ul.megaMenu li.ss-nav-menu-reg ul.sub-menu,
body.acp-dark #megaMenu ul li.ss-nav-menu-mega ul ul.sub-menu li,
body.acp-dark #megaMenu ul li.ss-nav-menu-mega ul.sub-menu li.posts {
  border: 1px solid #fff;
}
body.acp-bright #megaMenu.megaMenuHorizontal ul.megaMenu > li,
body.acp-bright #megaMenu.megaMenuHorizontal ul.megaMenu > li.ss-nav-menu-mega > ul.sub-menu-1,
body.acp-bright #megaMenu.megaMenuHorizontal ul.megaMenu > li.ss-nav-menu-mega > ul.sub-menu-2,
body.acp-bright #megaMenu.megaMenuHorizontal ul.megaMenu li.ss-nav-menu-reg ul.sub-menu,
body.acp-bright #megaMenu ul li.ss-nav-menu-mega ul ul.sub-menu li,
body.acp-bright #megaMenu ul li.ss-nav-menu-mega ul.sub-menu li.posts {
  border: 1px solid #000;
}
/* to accomodate for added border (2px on each side), reduce padding in inner a*/
body.acp-bright #megaMenu ul li.mega-without-sub > a,
body.acp-dark #megaMenu ul li.mega-without-sub > a {
  padding-left: 1rem;
}

body.acp-dark #megaMenu ul.megaMenu > li.current-menu-item::after,
body.acp-dark #megaMenu ul.megaMenu > li.current-menu-parent::after,
body.acp-dark #megaMenu ul.megaMenu > li.current-menu-ancestor::after {
  border-color: #fff transparent transparent;
}
body.acp-bright #megaMenu ul.megaMenu > li.current-menu-item::after,
body.acp-bright #megaMenu ul.megaMenu > li.current-menu-parent::after,
body.acp-bright #megaMenu ul.megaMenu > li.current-menu-ancestor::after {
  border-color: #000 transparent transparent;
}

/* A11y - skip link style */
#direct-link-to-facebook {
  color: #353535;
  display: block;
  font-weight: bold;
  position: absolute;
}
#direct-link-to-facebook:focus {
  left: 1em;
  background: #f6f3fa;
  color: #00c;
  padding: 5px;
  border: 1px solid #357;
  box-shadow: 2px 2px 2px #777;
  border-radius: 5px;
  font-size: 1.4em;
  z-index: 2; /* otherwise facebook box covers it */
}
.visuallyhidden {
  position: absolute;
  overflow: hidden;
  clip: rect(0 0 0 0);
  height: 1px;
  width: 1px;
  margin: -1px;
  padding: 0;
  border: 0;
}

body.grey #header {
  text-align: center;
  background: none;
}
body.grey #header .masthead-inner {
  background-color: #f8f8f8 !important;
}
body.grey #header #branding,
body.grey #header .top-title {
  background-color: transparent !important;
}
body.grey #header .top-title {
  text-align: center;
  font-size: 43px;
  font-weight: bold;
}
body.grey #header .top-title #site-title {
  color: #fff;
}
#masthead img.header-image {
  width: 100%;
}
#masthead .hfeed {
  position: relative;
  top: -4px;
}
#custom_header_image {
  width: 100%;
  -webkit-background-size: cover;
  background-size: cover;
  height: 200px;
  background-repeat: no-repeat;
  background-position: center;
}

#header #megaMenu.megaMenuHorizontal ul.megaMenu {
  background-color: #fff;
  box-shadow: 0 3px 6px 0 rgba(0, 0, 0, 0.16);
  display: flex;
  /* justify-content: space-between; */
  padding: 0 !important;
}

#header #megaMenu.megaMenuHorizontal ul.megaMenu::before,
#header #megaMenu.megaMenuHorizontal ul.megaMenu::after {
  display: none;
}
#header #megaMenu.megaMenuHorizontal ul.megaMenu > li {
  margin: 0;
}
#header #megaMenu.megaMenuHorizontal ul.megaMenu > li > a {
  font-size: 22px;
  color: #000000;
  padding: 7px 33px;
  border-bottom: 5px solid transparent;
}
#header #megaMenu.megaMenuHorizontal ul.megaMenu > li > a:hover {
  border-bottom: 5px solid #365f91 !important;
  transition: all 0.2s;
}
#header #megaMenu.megaMenuHorizontal ul.megaMenu > li.current-menu-item > a {
  border-bottom-color: #365f91;
  font-weight: bold;
  background-color: #ececec;
}
.footer {
  background-color: #ececec;
  font-size: 18px;
}
.footer #colophon {
  text-align: center;
  color: #000;
  font-size: 18px;
  padding-bottom: 1.5rem;
}
.footer .moe_links,
.footer .moe_links ul,
.footer .moe_links ul li {
  margin: 0;
  padding: 0;
  width: auto;
  float: none;
  display: inline-block;
}
.footer .moe_links ul li {
  margin-left: 20px;
}
#megaMenu ul.megaMenu > li.mega-without-sub:hover {
  border: none !important;
}
#megaMenu ul.megaMenu > li:hover,
#megaMenu ul.megaMenu > li.megaHover,
#megaMenu ul.megaMenu > li:hover > a,
#megaMenu ul.megaMenu > li.megaHover > a,
#megaMenu ul.megaMenu > li:hover > span.um-anchoremulator,
#megaMenu ul.megaMenu > li.megaHover > span.um-anchoremulator {
  z-index: auto !important;
}

@media only screen and (max-width: 1199px) {
  .grey .site-title {
    font-size: 3.5rem;
  }
}

@media only screen and (max-width: 959px) {
  .top-title {
    position: absolute;
    top: -18px;
  }
  /* #search {
    display: block;
  } */
  #header #masthead #megaMenu {
    width: 100%;
  }
}

/*------------------------------------------------------------------*/
/*-------------------from 768px and more (Tablet)-------------------*/
/*------------------------------------------------------------------*/
@media only screen and (min-width: 599px) {
  /*------------------  HEADER   -------------------*/
  /*------------------------------------------------*/
  body.grey #header:not(.header_two_logos) .branding {
    background-color: #dcdcdc;
    padding: 1rem 2.5rem;
  }
  /*body.grey .branding:not(.branding_two_logos)*/
  body.grey #header:not(.header_two_logos) .branding {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    /*same code with prefix - for iphone*/
    display: -webkit-flex;
    -webkit-justify-content: flex-start;
    -webkit-align-items: center;
  }
  /*because of the change in the structure - this extra background style are needed*/
  body.pink #header:not(.header_two_logos) .branding {
    background-color: #a30171;
  }
  body.colored #header:not(.header_two_logos) .branding {
    background-color: #494949;
  }
  /*body.grey .branding:not(.branding_two_logos) .top-title*/
  body.grey #header:not(.header_two_logos) .top-title {
    padding: 2.5rem 0 2.5rem 0;
    width: 100%;
  }
  body.grey .site_logo {
    margin-left: 2rem;
  }

  /*2 logo's design:'*/
  /*------------------------------------------------*/
  .header_two_logos .branding .two_logos.site_logo {
    max-width: 7rem;
    max-height: 7rem;
  }
  .header_two_logos .branding .two_logos.site_logo.long {
    /*max-width: 16rem;
		max-height: 7rem;*/
    max-width: 13rem;
    max-height: 7rem;
  }
}

/*---------------------------------------------------------*/
/*-------------------from 960px and more-------------------*/
/*---------------------------------------------------------*/
@media only screen and (min-width: 960px) {
  /*------------------  HEADER   -------------------*/
  /*------------------------------------------------*/
  body.grey #header:not(.header_two_logos) #masthead {
    margin-top: 2rem;
  }
  body.grey .branding {
    justify-content: space-between;
    -webkit-justify-content: space-between;
  }
  body.grey #searchform {
    width: 100%;
  }
  body.grey #searchform #s {
    width: calc(100% - 3rem);
  }
  .blue .site-title {
    margin-left: 11px;
  }
  /*in waizman sites there's a long description that required this:'*/
  .blue .site-description {
    margin-right: 0;
  }
  .sidebar.sidebarPicture {
    /*width: auto;*/
    float: none;
    border-left: none;
  }

  body.blue #header:not(.header_two_logos) .school_name a {
    flex-direction: row;
  }
  /*two logo header design*/
  /*------------------------------------------------*/

  #header.header_two_logos .branding {
    margin-top: 1rem;
    justify-content: space-between;
    align-items: flex-end;
    flex-wrap: nowrap;
  }
  .header_two_logos .branding .top-title {
    min-width: auto;
    order: 2;
    margin-right: 1.5rem;
  }
  body.grey .header_two_logos .top-title {
    text-align: right;
  }
  .additional_logo {
    order: 3;
    margin-right: auto; /*a hack to keep it align to the left: http://stackoverflow.com/questions/23621650/how-to-justify-a-single-flexbox-item-override-justify-content*/
    max-width: 9.5rem !important;
  }

  .header_two_logos .branding .two_logos.site_logo {
    /*max-width: 9.1rem;*/
    max-width: 9rem;
    /*max-height: 8.8rem;*/
    max-height: initial;
  }

  .header_two_logos .branding .two_logos.site_logo.long {
    /*max-width: 17rem;*/
    max-width: 16.5rem;
    max-height: initial;
    /*max-height: initial;*/
    margin-bottom: 0;
  }

  /*two logo header design - in Grey and sub-grey schemes.*/
  /*the search bar is  outside branding in grey-two logos' so there are some adjustments:*/
  /*------------------------------------------------*/
  body.grey #header.header_two_logos .header_search {
    max-width: 20rem;
  }
  body.grey #header.header_two_logos .branding {
    margin: 0;
    padding: 1rem 1rem;
    -webkit-align-items: center;
    -webkit-flex-wrap: nowrap;
    align-items: center;
    flex-wrap: nowrap;
    min-height: 1px; /*added for ie bug*/
  }
  body.grey #header.header_two_logos .top-title {
    padding: 0;
    margin: 0;
  }
  /*for pink and colored header*/
  /*because of the change in the structure - this extra background style are needed*/
  body.pink #header.header_two_logos {
    background-color: #a30171;
  }
  body.colored #header.header_two_logos {
    background-color: #494949;
  }

  /*in waizman theme - there are no link icons - so the image slider should contain the whole width'*/
  body .sidebar.sidebarPicture,
  body #sidebarPicture .widget_sp_image,
  body #sidebarPicture .widget_sp_image {
    width: 100%;
  }
}
@media only screen and (max-width: 767px) {
  #header #megaMenu.megaMenuHorizontal ul.megaMenu > li > a {
    padding: 7px 13px;
    text-align: center;
    font-size: 20px;
  }
}

/*----MS Edge Browser CSS Start----*/
/*https://gist.github.com/zunairmushtaq/aeaa48432d51cad0eb1c*/
@media all and (-ms-high-contrast: none) {
  .header_two_logos .branding .two_logos.site_logo,
  .header_two_logos .branding .two_logos.site_logo.long {
    max-height: 9rem;
  }
}
/*----MS Edge Browser CSS End----*/

/*---------------------------------------------------------*/
/*------------------- Special Exeptions -------------------*/
/*---------------------------------------------------------*/
/*In the pink & colored theme if the logo is white in low resolutions he is not seen */
@media only screen and (max-width: 599px) {
  body.pink #header:not(.header_two_logos) .branding {
    background-color: #a30171;
  }
  body.colored #header:not(.header_two_logos) .branding {
    background-color: #494949;
  }
  #header #megaMenu.megaMenuHorizontal ul.megaMenu > li > a {
    padding: 7px 7px;
    text-align: center;
    font-size: 18px;
  }
}

@media only screen and (min-width: 599px) and (max-width: 959px) {
  body.grey #header:not(.header_two_logos) #branding {
    padding: 1rem 6.5rem 1rem 2.5rem;
  }
  body.grey #header.header_two_logos #header_search {
    /*when there are 2 logos the search is hidden because of the responsive menu 
		but in our theme there's another div wrapper that stays and causes unnecessary space*/
    display: none;
  }
}

body,
input,
textarea {
  color: #666;
  font-size: 16px;
  line-height: 18px;
}
.megaMenuContainer .desc {
  position: absolute;
  left: 0;
  top: auto;
  width: 1px;
  height: 1px;
  overflow: hidden;
}
.desc:focus {
  position: static;
  width: auto;
  height: auto;
  margin-top: 10px;
  color: #000000;
}
.grey .header_two_logos .desc:focus {
  color: white;
}
.wpa-hide-rtl#skiplinks a:active,
.wpa-hide-rtl#skiplinks a:focus {
  padding-right: 70px !important;
}
/*Adi's changes*/
#content p, #content ul, #content ol, #content dd, #content pre, #content hr{
    margin-bottom: 0px !important;
}
/*removed space between banner and main head in home page*/
.home #masthead .hfeed{
	top:-4px;
}
/*removed cursor from post without link*/
.elementor-widget-container .post-395 a{
    cursor: context-menu;
}
/*end of Adi's changes*/